#include "sable.h"
using namespace sable;

int main(int argc, const char* argv) {

	// Pretend an SEC secret object could be created in this way.
	Secret *secObject = new SECsecret("sable", 
		"elbas", 
		"af9613760f72635fbdb44a5a0a63c39f12af30f950a6ee5c971be188e89c4051", 
		"8ef78ff8c3a7465cb924b5c0f4f9336b8ef78ff8c3a7465cb924b5c0f4f9336b", 
		1);

	// EA process start

	// Add PCR17 into policy check
	secObject = new policyPCR(secObject, std::string("af9613760f72635fbdb44a5a0a63c39f12af30f950a6ee5c971be188e89c4051"), 17);

	// Add PCR19 into policy check
	secObject = new policyPCR(secObject, std::string("8ef78ff8c3a7465cb924b5c0f4f9336b8ef78ff8c3a7465cb924b5c0f4f9336b"), 19);
	
	// Add locality into policy check
	secObject = new policyLocality(secObject, 2);

	// Add authentication value into policy check
	secObject = new policyAuthValue(secObject, std::string("elbas"));

	// Unseal the sensitive data
	std::cout << secObject->getSecret() << std::endl;

	return 0;
}